%global rbname gnuplot
Summary: A pipe-based interface to the ever popular gnuplot package for Ruby.
Name: ruby-%{rbname}

%global momorel 1

Version: 0.5
Release: %{momorel}m
Group: Development/Libraries
License: GPL
URL: http://rgnuplot.sourceforge.net/

%NoSource 0 http://osdn.dl.sourceforge.net/sourceforge/rgnuplot/rgnuplot-%{version}.tar.gz 471b689ff1e225f962c0cf6d71bdbafe
%NoSource 1 http://osdn.dl.sourceforge.net/sourceforge/rgnuplot/manual.pdf db93027998be8f91215e8e6d86a23476

Patch0: ruby-gnuplot-0.5-ruby18.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildPreReq: ruby

Requires: ruby, gnuplot

%description
Ruby Gnuplot is a pipe-based interface to the ever popular gnuplot)
package. Through this interface every capability of gnuplot is useable
from within Ruby. The design of this software was very much inspired
by the Python Gnuplot effort that is currently being worked on by
Michael Haggerty.

The goals of this package are as follows (in order of my priorities):

1. Provide a general object oriented interface for scientific plotting
   that completely hides the details of the underlying
   implementation. ie. The fact that this uses gnuplot should be
   hidden from the user.

2. Provide sufficient documentation so that this software is useable
   and extendable by other individuals in the scientific community.

usage: require 'Gnuplot'

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n gplot

%patch0 -p1

%__cp %{S:1} .

%build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{ruby_libdir}
%__install -m 0644 Gnuplot.rb %{buildroot}%{ruby_libdir}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc MANIFEST README *.txt manual.pdf *_demo.rb
%{ruby_libdir}/Gnuplot.rb

%changelog
* Sun Dec 28 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5-1m)
- version 0.5.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.3-3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.3-2m)
- rebuild against ruby-1.8.0.

* Thu Oct 24 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (0.3-1m)
- new version.

* Fri Apr 19 2002 Kenta MURATA <muraken@kondara.org>
- (0.2-2k)
- first release.
